petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESLineSearchGetOptionsPrefix

Sets the prefix used for searching for all SNESLineSearch options in the database.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESLineSearchGetOptionsPrefix(SNESLineSearch linesearch,const char *prefix[])

Not Collective Many br

### Input Parameter

linesearch -the SNESLineSearch context Many br

### Output Parameter

prefix -pointer to the prefix string used Many br

### Notes

On the fortran side, the user should pass in a string 'prefix' of Many brsufficient length to hold the prefix. Many br

Many br

### Keywords

SNESLineSearch, get, options, prefix, database

### See Also

SNESAppendOptionsPrefix()

Level:advanced
Location:src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages